package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.HandleProvePageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.ProveDeviceDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.ProveDevicePageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.ProveDeviceVo;
import cn.hanghui.outapi.platform.tenant.entity.po.HandleProve;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class HandleProve
 * @date 2023/12/5 上午11:16
 * @description
 */
@Deprecated
public interface HandleProveService {

    RestResult<IPage<HandleProve>> page(HandleProvePageDto dto);

    RestResult<Boolean> add(HandleProve prove);

    RestResult del(Long id);

    RestResult<IPage<ProveDeviceVo>> pageDevice(ProveDevicePageDto dto);

    RestResult addDevice(ProveDeviceDto dto);

    RestResult delDevice(Long id);

    RestResult<List<HandleProve>> list();

}
